import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:uzu_md/uzu_md.dart';

void main() {
  const MethodChannel channel = MethodChannel('uzu_md');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await UzuMd.platformVersion, '42');
  });
}
